#include<stdio.h>
#include<string.h>
#include <ctype.h>

#include "constantes.h"
#include "typedef.h"



extern  STFICHE *debut,*fin,*fiche;
extern  STCAL *debut_cal,*fiche_cal;
extern char rep_prog[255];


int trait_sond_ozone(STSAISIEPARAM *psaisie,char *nomfich,FILE *fp_log)
{
FILE *fp_antar;
char newnom[255];
char date[7];
char ligne[100];
int i;
booleen bool_fin,retour_recherche;
char *buf,*buf2;
char commande[255];
char sujet[100];
char destinataires[100];

/* traitement sondes ecc + calibration */
/* -------------------------------------------------- */

fprintf(fp_log,"*** traitement sondes ozones\n");

/* on test la validite du fichier */
i=0;
while(nomfich[i]!='.' && nomfich[i]!= '\0')
	{
	if(nomfich[i] < '0' || nomfich[i] > '9')
		return(FAUX);
	i++;
	};


/* recupere le nom du fichier calibration associe */
/* le nom du fichier calibration figure dans les fichiers *.*e et */
/* dans les fichiers croz*.txt */

fprintf(fp_log,"fichier: %s\n",fiche->nomfich);
fp_antar = fopen(fiche->nomfich,"r");
fscanf(fp_antar,"%s",ligne);
fprintf(fp_log,"ligne1:%s\n",ligne);	
fscanf(fp_antar,"%s\n",ligne);
fprintf(fp_log,"ligne2:%s\n",ligne);	
fclose(fp_antar);
/* on transforme les majuscules en minuscules */
i=0;
while(ligne[i] != 0)
	{
	ligne[i]=(char)tolower((int)ligne[i]);
	i++;
	};

	

/* on renomme le fichier sondage */
strcpy(newnom,"ccd");
for(i=0;i<8;i++)
	newnom[i+3] = nomfich[i];
newnom[11] = nomfich[9];
newnom[12] = nomfich[10];
newnom[13] = 0;
strcat(newnom,".e");

for(i=0;i<6;i++)
	date[i]=newnom[i+3];
date[6]=0;

sprintf(commande,"cp \"%s\" %s",fiche->nomfich,newnom);
system(commande);
/* on enleve les carriage-return eventuels provenant du monde DOS */
rm_cr(newnom);
	
printf("%s -> %s\n",nomfich,newnom);	
strcpy(fiche->newnom,newnom);
strcpy(fiche->date,date);

/* envoi du sondage par email */
sprintf(sujet,"Dumont d'Urville Ozone Sonde [%s]",date);
sprintf(destinataires,"%s/mail_data_sond_o3.dat",rep_prog);
if(psaisie->mail == VRAI)	
	envoi_mail(nomfich,sujet,destinataires,fp_log);

/* ATTENTION : le contenu de newnom est reutilise pour */
/* le nom du fichier cal ci-dessous */

/* on renomme le fichier calibration */
newnom[14] = 0;
strcat(newnom,ligne);
strcat(newnom,".cal");

retour_recherche=recherche_cal(ligne);

if( retour_recherche == VRAI && fiche_cal->fiche->newnom[0] == 0)
	/* on a trouve un fichier cal se rapportant au nom trouve */
	/* dans le fichier *.*e et qui n'a pas deja ete affect */
	{
	strcpy(fiche_cal->fiche->newnom,newnom);
	strcpy(fiche_cal->fiche->date,date);
	sprintf(commande,"cp \"%s\" %s",fiche_cal->fiche->nomfich,newnom);
	system(commande);
	/* on enleve les carriage-return eventuels provenant du monde DOS */
	rm_cr(newnom);

	/* envoi du fichier calibration par email */
	sprintf(sujet,"Dumont d'Urville Ozone Sonde Cal [%s]",date);
	sprintf(destinataires,"%s/mail_data_sond_o3.dat",rep_prog);
	if(psaisie->mail == VRAI)	
		envoi_mail(newnom,sujet,destinataires,fp_log);
	}

else
	fprintf(fp_log,"??? fichier cal %s nom trouve !\n",ligne);

return(VRAI);

}
